@Book{gb,
 author = {Becker, Thomas},
 title = {Gröbner bases : a computational approach to commutative algebra},
 publisher = {Springer-Verlag},
 year = {1993},
 address = {New York},
 isbn = {0-387-97971-9}
 } 

@article{bb,
  title={Bruno Buchberger’s PhD thesis 1965: An algorithm for finding the basis elements of the residue class ring of a zero dimensional polynomial ideal},
  author={Buchberger, Bruno},
  journal={Journal of symbolic computation},
  volume={41},
  number={3-4},
  pages={475--511},
  year={2006},
  publisher={Elsevier}
}

@Book{iva,
 author = {Cox, David},
 title = {Ideals, varieties, and algorithms : an introduction to computational algebraic geometry and commutative algebra},
 publisher = {Springer},
 year = {2015},
 address = {Cham},
 isbn = {9783319167206}
 }

@article{hh1,
 ISSN = {0003486X},
 URL = {http://www.jstor.org/stable/1970486},
 author = {Heisuke Hironaka},
 journal = {Annals of Mathematics},
 number = {1},
 pages = {109--203},
 publisher = {Annals of Mathematics},
 title = {Resolution of Singularities of an Algebraic Variety Over a Field of Characteristic Zero: I},
 volume = {79},
 year = {1964}
}

@article{hh2,
 ISSN = {0003486X},
 URL = {http://www.jstor.org/stable/1970547},
 author = {Heisuke Hironaka},
 journal = {Annals of Mathematics},
 number = {2},
 pages = {205--326},
 publisher = {Annals of Mathematics},
 title = {Resolution of Singularities of an Algebraic Variety Over a Field of Characteristic Zero: II},
 volume = {79},
 year = {1964}
}

@Book{igb,
 author = {Adams, William},
 title = {An introduction to Gröbner bases},
 publisher = {American Mathematical Society},
 year = {1994},
 address = {Providence, R.I},
 isbn = {978-0-8218-3804-4}
 }

@Book{gbs,
 author = {Hibi, Takayuki},
 title = {Gröbner bases : statistics and software systems},
 publisher = {Springer},
 year = {2013},
 address = {Tokyo New York},
 isbn = {978-4-431-54573-6}
 }

@article{fips,
  title={197: Advanced encryption standard (AES)},
  author={Pub, NIST FIPS},
  journal={Federal information processing standards publication},
  volume={197},
  number={441},
  pages={0311},
  year={2001}
}

@book{rijndael,
  title={The design of Rijndael},
  author={Daemen, Joan and Rijmen, Vincent},
  volume={2},
  year={2002},
  publisher={Springer}
}

@book{shoup,
  title={A computational introduction to number theory and algebra},
  author={Shoup, Victor},
  year={2009},
  publisher={Cambridge university press}
}

@book{lidl,
  title={Introduction to finite fields and their applications},
  author={Lidl, Rudolf and Niederreiter, Harald},
  year={1994},
  publisher={Cambridge university press}
}

@book{menezes,
  title={Handbook of applied cryptography},
  author={Menezes, Alfred J and Van Oorschot, Paul C and Vanstone, Scott A},
  year={2018},
  publisher={CRC press}
}

@inproceedings{cid05,
  title={Small scale variants of the AES},
  author={Cid, Carlos and Murphy, Sean and Robshaw, Matthew JB},
  booktitle={International Workshop on Fast Software Encryption},
  pages={145--162},
  year={2005},
  organization={Springer}
}

@article{bulygin,
  title={Obtaining and solving systems of equations in key variables only for the small variants of AES},
  author={Bulygin, Stanislav and Brickenstein, Michael},
  journal={Mathematics in Computer Science},
  volume={3},
  number={2},
  pages={185--200},
  year={2010},
  publisher={Springer}
}

@book{cid06,
  title={Algebraic aspects of the advanced encryption standard},
  author={Cid, Carlos and Murphy, Sean and Robshaw, Matthew},
  year={2006},
  publisher={Springer Science \& Business Media}
}

@inproceedings{anf,
  title={Chosen-IV Statistical Attacks on eStream Ciphers.},
  author={Saarinen, Markku-Juhani Olavi},
  booktitle={SECRYPT},
  pages={260--266},
  year={2006}
}

@article{shannon,
  title={Communication theory of secrecy systems},
  author={Shannon, Claude E},
  journal={The Bell system technical journal},
  volume={28},
  number={4},
  pages={656--715},
  year={1949},
  publisher={Nokia Bell Labs}
}

@manual{sagemath,
  Key          = {SageMath},
  Author       = {{The Sage Developers}},
  Title        = {{S}ageMath, the {S}age {M}athematics {S}oftware {S}ystem ({V}ersion 9.1)},
  url          = {{https://www.sagemath.org}},
  Year         = {2020},
}

@article{polybori,
title = "PolyBoRi: A framework for Gröbner-basis computations with Boolean polynomials",
journal = "Journal of Symbolic Computation",
volume = "44",
number = "9",
pages = "1326 - 1345",
year = "2009",
note = "Effective Methods in Algebraic Geometry",
issn = "0747-7171",
doi = "DOI: 10.1016/j.jsc.2008.02.017",
url = "http://dx.doi.org/10.1016/j.jsc.2008.02.017",
author = "Michael Brickenstein and Alexander Dreyer",
keywords = "Boolean Gröbner basis",
keywords = "Formal verification",
keywords = "Algebraic cryptoanalysis",
keywords = "Satisfiability"
}

@article {magma,
    AUTHOR = {Bosma, Wieb and Cannon, John and Playoust, Catherine},
     TITLE = {The {M}agma algebra system. {I}. {T}he user language},
      NOTE = {Computational algebra and number theory (London, 1993)},
   JOURNAL = {J. Symbolic Comput.},
  FJOURNAL = {Journal of Symbolic Computation},
    VOLUME = {24},
      YEAR = {1997},
    NUMBER = {3-4},
     PAGES = {235--265},
      ISSN = {0747-7171},
   MRCLASS = {68Q40},
  MRNUMBER = {MR1484478},
       DOI = {10.1006/jsco.1996.0125},
       URL = {http://dx.doi.org/10.1006/jsco.1996.0125},
}

@inproceedings{cryptominisat,
  author    = {Mate Soos and
               Karsten Nohl and
               Claude Castelluccia},
  editor    = {Oliver Kullmann},
  title     = {Extending {SAT} Solvers to Cryptographic Problems},
  booktitle = {Theory and Applications of Satisfiability Testing - {SAT} 2009, 12th
               International Conference, {SAT} 2009, Swansea, UK, June 30 - July
               3, 2009. Proceedings},
  series    = {Lecture Notes in Computer Science},
  volume    = {5584},
  pages     = {244--257},
  publisher = {Springer},
  year      = {2009},
  url       = {https://doi.org/10.1007/978-3-642-02777-2\_24},
  doi       = {10.1007/978-3-642-02777-2\_24},
  timestamp = {Tue, 14 May 2019 10:00:41 +0200},
  biburl    = {https://dblp.org/rec/conf/sat/SoosNC09.bib},
  bibsource = {dblp computer science bibliography, https://dblp.org}
}

@article{arnold,
  title={Conversation with Vladimir Igorevich Arnol’d},
  author={Zdravkovska, Smilka and Arnol’d, Vladimir Igorevich},
  journal={The Mathematical Intelligencer},
  volume={9},
  number={4},
  pages={28--32},
  year={1987},
  publisher={Springer}
}

@article{aumasson,
  title={Too Much Crypto.},
  author={Aumasson, Jean-Philippe},
  journal={IACR Cryptol. ePrint Arch.},
  volume={2019},
  pages={1492},
  year={2019}
}

@article{f4,
  TITLE = {{A new efficient algorithm for computing Gröbner bases (F4)}},
  AUTHOR = {Faug{\`e}re, Jean-Charles},
  URL = {https://hal.archives-ouvertes.fr/hal-01148855},
  JOURNAL = {{Journal of Pure and Applied Algebra}},
  PUBLISHER = {{Elsevier}},
  VOLUME = {139},
  NUMBER = {1-3},
  PAGES = {61-88},
  YEAR = {1999},
  MONTH = Jun,
  DOI = {10.1016/S0022-4049(99)00005-5},
  HAL_ID = {hal-01148855},
  HAL_VERSION = {v1},
}

@article{fglm,
title = "Efficient Computation of Zero-dimensional Gröbner Bases by Change of Ordering",
journal = "Journal of Symbolic Computation",
volume = "16",
number = "4",
pages = "329 - 344",
year = "1993",
issn = "0747-7171",
doi = "https://doi.org/10.1006/jsco.1993.1051",
url = "http://www.sciencedirect.com/science/article/pii/S0747717183710515",
author = "J.C. Faugère and P. Gianni and D. Lazard and T. Mora",
}